Subject: Support (I think): LL7 How do existing hosts respond to broadcast requests?

From: Stuart Cheshire <[email-masked]>
Date: Mon, 3 Mar 2003 22:24:35 -0800

>Steve Bellovin wrote:
>How do current hosts behave with respect to this:
>
>All ARP packets (*replies* as well as requests) that contain a
>link-local 'sender IP address' MUST be sent using link-level
>broadcast instead of link-level unicast. This aids timely
>detection of duplicate addresses. An example illustrating how this
>helps is given in Section 4.
>
>(I understand the necessity, but is it done? I suspect not. This
>suggests that there be a warning that link-local addresses SHOULD NOT
>be manually configured.)

1. It is not *necessary*, but it is useful.
2. Yes, it is done.
3. Yes, it works with today's hosts
   (and is entirely compatible with the rules specified in RFC 826).

>Requested Change:
>No change.

I support "No change".

Stuart Cheshire <[email-masked]>
 * Wizard Without Portfolio, Apple Computer, Inc.
 * www.stuartcheshire.org